Company
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123456,
"status": "active",
"name": "Acme Corporation",
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"type": "Retail",
"phone": "555-123-4567",
"address": "123 Main St",
"address_line_2": "Suite 500",
"city": "Austin",
"state": "TX",
"postal_code": "78701",
"country": "USA",
"full_address": "123 Main St, Suite 500, Austin, TX 78701, USA",
"shipping_first_name": "John",
"shipping_last_name": "Doe",
"shipping_email": "shipping@acmecorp.com",
"shipping_phone": "555-987-6543",
"shipping_address": "456 Warehouse Blvd",
"shipping_city": "Austin",
"shipping_state": "TX",
"shipping_postal_code": "78745",
"shipping_country": "USA",
"shipping_full_address": "456 Warehouse Blvd, Austin, TX 78745, USA",
"payment_term": "Net 30",
"tax_exempt": false,
"tax_rate": 8.25,
"due_date_days": 30,
"header_discount_enabled": false,
"header_discount_type": "PERCENT",
"header_discount_value": 5,
"header_discount_effective_from": "2026-01-01",
"price_level": {
"id": 123,
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"status": "active",
"name": "Wholesale",
"type": "percentage",
"percent_increase": 15.5
},
"notes": "Key account, requires special handling",
"fein": "12-3456789",
"tags": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"icon": "<string>",
"color": "<string>"
}
],
"default_shipping": {
"id": 789,
"company_id": 123456,
"address": "456 Warehouse Blvd",
"city": "Austin",
"state": "TX",
"postal_code": "78745",
"country": "USA",
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"company_name": "Acme Corporation",
"address_line_2": "Building 2",
"full_address": "456 Warehouse Blvd, Building 2, Austin, TX 78745, USA",
"full_name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"phone": "555-987-6543",
"email": "shipping@acmecorp.com",
"is_default": true
},
"shipping_addresses": [
{
"id": 789,
"company_id": 123456,
"address": "456 Warehouse Blvd",
"city": "Austin",
"state": "TX",
"postal_code": "78745",
"country": "USA",
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"company_name": "Acme Corporation",
"address_line_2": "Building 2",
"full_address": "456 Warehouse Blvd, Building 2, Austin, TX 78745, USA",
"full_name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"phone": "555-987-6543",
"email": "shipping@acmecorp.com",
"is_default": true
}
],
"billing_info": {
"id": 456,
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"first_name": "Jane",
"last_name": "Smith",
"email": "accounting@acmecorp.com",
"receiving_bank_name": "First National Bank",
"receiving_bank_address": "789 Finance Street, Austin, TX 78701"
},
"client_type": {
"id": 123,
"created_at": "2023-03-15T14:30:00Z",
"updated_at": "2023-03-15T14:30:00Z",
"name": "Retail",
"description": "Retail business client"
},
"parent_company_id": 456,
"invoice_export_template_id": 789,
"custom_fields": {
"Industry": "Manufacturing",
"Region": "Southwest",
"Annual Revenue": "$5M-$10M"
},
"assigned_sales_reps": [
{
"id": 42,
"email": "rep@example.com",
"first_name": "Jane",
"last_name": "Doe"
}
],
"sales_channel": {
"id": 123,
"status": "<string>",
"label": "<string>",
"channel_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": "Unauthorized",
"message": "Authentication credentials are missing or invalid",
"status_code": 401
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource",
"status_code": 403
}{
"error": "Not Found",
"message": "The requested resource could not be found",
"status_code": 404
}Companies
Company
Get detailed information for a specific company
GET
/
companies
/
{companyId}
Company
⌘I